﻿<?xml version="1.0" encoding="UTF-8"?>
<forms:BaseContentPage  xmlns:forms="clr-namespace:Storm.Mvvm.Forms;assembly=Storm.Mvvm.Forms"
                        xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" xmlns:viewmodels="clr-namespace:TimeTracker.Apps.ViewModels" x:DataType="viewmodels:TaskDetailViewModel"
                        x:Class="TimeTracker.Apps.Pages.TaskDetailPage">

    <ContentPage.ToolbarItems>
        <ToolbarItem IconImageSource="home.png"
                     Order="Primary"
                     Command="{Binding HomeCommand}"
                     Priority="0" />
        <ToolbarItem IconImageSource="logout.png"
                     Order="Primary"
                     Command="{Binding LogoutCommand}"
                     Priority="1" />
    </ContentPage.ToolbarItems>
    
    <StackLayout Margin="{StaticResource Margin}">
        <Label Style="{DynamicResource Style_Title}">
            <Label.Text>
                <MultiBinding StringFormat="Tâche (ID{0}) : {1}">
                    <Binding Path="TaskId" />
                    <Binding Path="TaskName" />
                </MultiBinding>
            </Label.Text>
        </Label>
        <Label Text="{Binding TotalTime, StringFormat='Temps passé total : {0:HH:mm:ss:ff}'}"
               Style="{StaticResource Style_Label1}"/>
        <Label Text="{Binding CurrentTimer, StringFormat='Dernier temps passé : {0:HH:mm:ss:ff}'}"
               Style="{StaticResource Style_Label1}"/>
        <Button Image="{Binding TimerButton}" 
                Command="{Binding TimerCommand}"/>
        <Button Text="{Binding TextAddTime}" 
                Command="{Binding AddTimeCommand}"
                IsVisible="{Binding AddTimeRequestBool}"/>
    </StackLayout>
</forms:BaseContentPage>